## org.eclipse.datatools.connectivity.sqm.core.ui.services
Interface IDataToolsUIServiceManager

public interface IDataToolsUIServiceManager

Author:
  ljulien

Field Summary
`static DataToolsUIServiceManager` `INSTANCE`

Method Summary
`IColumnHelperService` `getColumnHelperService()`
`IDecorationService` `getDecorationService()`
`IExplorerSorterService` `getExplorerSorterService()`
`IForeignKeyHelperService` `getForeignKeyHelperService()`
`ILabelService` `getLabelService(java.lang.Object element)`
`IMarkerNavigationService` `getMarkerNavigationService()`
`IVirtualNodeServiceFactory` `getVirtualNodeServiceFactory()`
`void` `refreshColumnDecorationService()`

Field Detail

### INSTANCE

    public static final DataToolsUIServiceManager INSTANCE

Method Detail

### getDecorationService

    public IDecorationService getDecorationService()

### getColumnHelperService

    public IColumnHelperService getColumnHelperService()

### getForeignKeyHelperService

    public IForeignKeyHelperService getForeignKeyHelperService()

### getVirtualNodeServiceFactory

    public IVirtualNodeServiceFactory getVirtualNodeServiceFactory()

### getLabelService

    public ILabelService getLabelService(java.lang.Object element)

### refreshColumnDecorationService

    public void refreshColumnDecorationService()

### getMarkerNavigationService

    public IMarkerNavigationService getMarkerNavigationService()

### getExplorerSorterService

    public IExplorerSorterService getExplorerSorterService()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.